CREATE OR REPLACE
PACKAGE vv_htp
AS
/* Base URL */
   c_base_url                   CONSTANT VARCHAR2 (50)
            := OWA_UTIL.get_cgi_env ('SCRIPT_NAME') || '/';
/* Colors */
   c_default_bg_color           CONSTANT VARCHAR2 (15) := '#FFFFFF';   -- white
   c_default_link_color         CONSTANT VARCHAR2 (15) := '#OOOOFF';   -- blue
   c_border_color               CONSTANT VARCHAR2 (15) := '#FFA500';   -- orange
-- c_list_header_color          CONSTANT VARCHAR2 (15) := '#FFA500';   -- orange
-- c_sub_list_header_color      CONSTANT VARCHAR2 (15) := '#FCC900';   -- orange lighter
   c_list_header_color          CONSTANT VARCHAR2 (15) := '#003366';   -- dark blue
   c_sub_list_header_color      CONSTANT VARCHAR2 (15) := '#577696';   -- blue
-- c_list_color1                CONSTANT VARCHAR2 (15) := '#90EE90';   -- lightgreen
-- c_list_color2                CONSTANT VARCHAR2 (15) := '#FFFFE0';   -- lightyellow
   c_list_color1                CONSTANT VARCHAR2 (15) := '#9090AA';   -- light blue gray
   c_list_color2                CONSTANT VARCHAR2 (15) := '#D0D0EE';   -- darker blue gray
   c_sub_list_color1            CONSTANT VARCHAR2 (15) := '#88BBEE';   -- light blue
   c_sub_list_color2            CONSTANT VARCHAR2 (15) := 'lightblue'; -- light blue
   c_msg_color                  CONSTANT VARCHAR2 (15) := '#FF0000';   -- red
   c_menu_bg_color              CONSTANT VARCHAR2 (15) := '#6699CC';   -- light blue
   c_menu_bg_selected_color     CONSTANT VARCHAR2 (15) := 'blue';      -- blue
   c_menu_font_color            CONSTANT VARCHAR2 (15) := '#000000';   -- black
   c_menu_font_selected_color   CONSTANT VARCHAR2 (15) := 'white';
--                                             '#696969';       -- dimgray

/* Messages */
   c_no_data_found_msg          CONSTANT VARCHAR2 (50)
            := 'No Records Matched - Please Try Again';
   c_too_many_rows_msg          CONSTANT VARCHAR2 (50)
            := 'Too Many Rows - List Truncated';
   c_no_parms_msg               CONSTANT VARCHAR2 (50)
            := 'Please Enter Search Criteria';
   c_not_logged_on_msg          CONSTANT VARCHAR2 (50)
            := 'You are NOT logged into the Application!';
   c_could_not_lock_msg         CONSTANT VARCHAR2 (60)
            := 'Record is probably locked by another user, try again later.';
   c_invalid_date_msg           CONSTANT VARCHAR2 (50)
            := 'Promise Date Not Updated - Use DD-MON-YYYY Format';
/* Others */
   c_row_limit                  CONSTANT PLS_INTEGER  := 50;   -- Number of rows to show on lookup pages
   c_default_rows               CONSTANT PLS_INTEGER  := 50;   -- Default number of history rows to show on main page
   c_default_open_only_orders            VARCHAR2 (1) := 'N';   -- Default for "Show All Orders"
   c_nbsp                       CONSTANT VARCHAR2 (6) := CHR (38) || 'nbsp;';  -- Non Blocking SPace for HTML harcoded spaces
   c_org                        CONSTANT PLS_INTEGER  := 2;

-- PROCEDURE html (msg IN VARCHAR2 := NULL);

   PROCEDURE cell_filler (p_width VARCHAR2 := 'width=2%');

   PROCEDURE header_data (
      text           IN   VARCHAR2,
      p_color             VARCHAR2 := c_default_bg_color,
      p_attributes        VARCHAR2 := ''
   );

   PROCEDURE table_header (text IN VARCHAR2, p_attributes VARCHAR2 := '');

   PROCEDURE sub_table_header (text IN VARCHAR2, p_attributes VARCHAR2 := '');

   PROCEDURE table_data (
      text           IN   VARCHAR2,
      p_color             VARCHAR2 := c_default_bg_color,
      p_attributes        VARCHAR2 := ''
   );

/*
   PROCEDURE create_header (header_text_in IN VARCHAR2);

*/

   PROCEDURE create_footer;

   PROCEDURE create_blank_row (
      colspan_in   IN   VARCHAR2,
      msg_in       IN   VARCHAR2 := 'No Data Found'
   );

   PROCEDURE create_msg (msg_text_in IN VARCHAR2);

END vv_htp;
/
